Subject: Re: [PATCH 2/2] xdiff: implement empty line chunk heuristic

From: Junio C Hamano <[email-masked]>
Date: Fri, 29 Apr 2016 13:29:06 -0700

Jeff King <[email-masked]> writes:

> ... Having the two directly next to each other reads
> better to me. This is a pretty unusual diff, though, in that it did
> change the surrounding whitespace (and if you look further in the diff,
> the identical change is made elsewhere _without_ touching the
> whitespace). So this is kind of an anomaly. And IMHO the weirdness here
> is outweighed by the vast number of improvements elsewhere.

So... is everybody happy with the result and now we can drop the
tweaking knob added to help experimentation before merging the
result to 'master'?

I am pretty happy with the end result myself.